package db_model

import (
	"database/sql"

	"gorm.io/gorm"
)

type User struct {
	Id       int          `gorm:"primaryKey"`
	UserId   int          `gorm:"type:int;uniqueIndex:uidx_uid_cid;not null;comment:telegram用户id"`
	Username string       `gorm:"type:varchar(255);not null;comment:telegram用户名"`
	ChatId   int          `gorm:"type:int;uniqueIndex:uidx_uid_cid;not null;comment:telegram群id"`
	LeftAt   sql.NullTime `gorm:"index;comment:退出时间"`
	gorm.Model
}

type Active struct {
	Id       int `gorm:"primaryKey"`
	UserId   int `gorm:"type:int;uniqueIndex:uidx_uid_cid_day;not null;comment:telegram用户id"`
	ChatId   int `gorm:"type:int;uniqueIndex:uidx_uid_cid_day;not null;comment:telegram群id"`
	UnixDay  int `gorm:"type:int;not null;uniqueIndex:uidx_uid_cid_day;comment:unix day"`
	MsgCount int `gorm:"type:int;not null;comment:消息数"`
	gorm.Model
}

type ChatGroup struct {
	Id          int    `gorm:"primaryKey"`
	ChatId      int    `gorm:"type:int;uniqueIndex;not null;comment:telegram群id"`
	ChatTitle   string `gorm:"type:varchar(255);not null;comment:telegram群名"`
	Description string `gorm:"type:varchar(255);comment:群描述"`
	gorm.Model
}
